Developer docs
Check Artifacts
POST
/v1/artifacts/check
const url = 'https://example.com/v1/artifacts/check';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"hashes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/artifacts/check \ --header 'Content-Type: application/json' \ --data '{ "hashes": [ "example" ] }'Which of these fingerprints the store does not yet hold.
Lets clients upload only new content.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CheckIn
object
hashes
required
Hashes
Array<string>
Examplegenerated
{ "hashes": [ "example" ]}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Check Artifacts V1 Artifacts Check Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}